# Generated from codebuild-notifier-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name codebuild-notifier

Name: rubygem-%{gem_name}
Version: 1.1.0
Release: 1%{?dist}
Summary: Slack notifications for CodeBuild jobs
License: GPL-3.0+
URL: https://github.com/vhl/codebuild-notifier
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.8
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) = 0.58.2
# BuildRequires: rubygem(rubocop-rspec) = 1.30.0
# BuildRequires: rubygem(simplecov) >= 0.16
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
CodeBuild Notifier tracks the past status of CI jobs run on AWS CodeBuild for
each pr or whitelisted branchfor a given project, and sends slack
notifications when a branch/pr changes build status.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/update-build-status
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/COPYING
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/codebuild-notifier.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.1.0-1
- Initial package
